> ## Documentation Index
> Fetch the complete documentation index at: https://developers.telnyx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List all Interfaces for a Network.

> List all Interfaces for a Network.



## OpenAPI

````yaml https://telnyx-openapi-ng.s3.us-east-1.amazonaws.com/networking/networking.yml get /networks/{id}/network_interfaces
openapi: 3.1.0
info:
  title: Telnyx Networking API
  version: 2.0.0
  description: API for Networking.
  contact:
    email: support@telnyx.com
servers:
  - url: https://api.telnyx.com/v2
security:
  - bearerAuth: []
paths:
  /networks/{id}/network_interfaces:
    get:
      tags:
        - Networks
      summary: List all Interfaces for a Network.
      description: List all Interfaces for a Network.
      operationId: ListNetworkInterfaces
      parameters:
        - $ref: '#/components/parameters/ResourceId'
        - name: filter
          in: query
          style: deepObject
          explode: true
          description: >-
            Consolidated filter parameter (deepObject style). Originally:
            filter[name], filter[type], filter[status]
          schema:
            type: object
            properties:
              name:
                type: string
                example: test interface
                description: The interface name to filter on.
              type:
                type: string
                example: wireguard_interface
                description: The interface type to filter on.
              status:
                $ref: '#/components/schemas/InterfaceStatus'
                description: The interface status to filter on.
        - $ref: '#/components/parameters/PageConsolidated'
      responses:
        '200':
          $ref: '#/components/responses/NetworkInterfaceListResponse'
        '422':
          $ref: '#/components/responses/netapps_GenericErrorResponse'
        default:
          $ref: '#/components/responses/netapps_GenericErrorResponse'
      x-codeSamples:
        - lang: JavaScript
          source: >-
            import Telnyx from 'telnyx';


            const client = new Telnyx({
              apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
            });


            // Automatically fetches more pages as needed.

            for await (const networkListInterfacesResponse of
            client.networks.listInterfaces(
              '6a09cdc3-8948-47f0-aa62-74ac943d6c58',
            )) {
              console.log(networkListInterfacesResponse.id);
            }
        - lang: Python
          source: |-
            import os
            from telnyx import Telnyx

            client = Telnyx(
                api_key=os.environ.get("TELNYX_API_KEY"),  # This is the default and can be omitted
            )
            page = client.networks.list_interfaces(
                id="6a09cdc3-8948-47f0-aa62-74ac943d6c58",
            )
            page = page.data[0]
            print(page.id)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/team-telnyx/telnyx-go\"\n\t\"github.com/team-telnyx/telnyx-go/option\"\n)\n\nfunc main() {\n\tclient := telnyx.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tpage, err := client.Networks.ListInterfaces(\n\t\tcontext.TODO(),\n\t\t\"6a09cdc3-8948-47f0-aa62-74ac943d6c58\",\n\t\ttelnyx.NetworkListInterfacesParams{},\n\t)\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", page)\n}\n"
        - lang: Java
          source: |-
            package com.telnyx.sdk.example;

            import com.telnyx.sdk.client.TelnyxClient;
            import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
            import com.telnyx.sdk.models.networks.NetworkListInterfacesPage;
            import com.telnyx.sdk.models.networks.NetworkListInterfacesParams;

            public final class Main {
                private Main() {}

                public static void main(String[] args) {
                    TelnyxClient client = TelnyxOkHttpClient.fromEnv();

                    NetworkListInterfacesPage page = client.networks().listInterfaces("6a09cdc3-8948-47f0-aa62-74ac943d6c58");
                }
            }
        - lang: Ruby
          source: >-
            require "telnyx"


            telnyx = Telnyx::Client.new(api_key: "My API Key")


            page =
            telnyx.networks.list_interfaces("6a09cdc3-8948-47f0-aa62-74ac943d6c58")


            puts(page)
        - lang: CLI
          source: |-
            telnyx networks list-interfaces \
              --api-key 'My API Key' \
              --id 6a09cdc3-8948-47f0-aa62-74ac943d6c58
components:
  parameters:
    ResourceId:
      name: id
      description: Identifies the resource.
      in: path
      required: true
      schema:
        format: uuid
        type: string
        example: 6a09cdc3-8948-47f0-aa62-74ac943d6c58
    PageConsolidated:
      name: page
      in: query
      style: deepObject
      explode: true
      description: >-
        Consolidated page parameter (deepObject style). Originally:
        page[number], page[size]
      schema:
        type: object
        properties:
          number:
            type: integer
            minimum: 1
            default: 1
            description: The page number to load
          size:
            type: integer
            minimum: 1
            maximum: 250
            default: 20
            description: The size of the page
  schemas:
    InterfaceStatus:
      type: string
      enum:
        - created
        - provisioning
        - provisioned
        - deleting
      description: The current status of the interface deployment.
      readOnly: true
      example: provisioned
    NetworkInterface:
      allOf:
        - $ref: '#/components/schemas/Record'
        - $ref: '#/components/schemas/Interface'
        - $ref: '#/components/schemas/RegionOut'
        - type: object
          title: NetworkInterface
          properties:
            record_type:
              type: string
              description: Identifies the type of the resource.
              readOnly: true
              example: network_interface
            type:
              type: string
              description: Identifies the type of the interface.
              readOnly: true
              example: wireguard_interface
    PaginationMeta:
      type: object
      properties:
        total_pages:
          type: integer
          example: 3
        total_results:
          type: integer
          example: 55
        page_number:
          type: integer
          example: 2
        page_size:
          type: integer
          example: 25
    netapps_Errors:
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/netapps_Error'
      type: object
    Record:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: Identifies the resource.
          readOnly: true
          example: 6a09cdc3-8948-47f0-aa62-74ac943d6c58
        record_type:
          type: string
          description: Identifies the type of the resource.
          readOnly: true
          example: sample_record_type
        created_at:
          type: string
          description: >-
            ISO 8601 formatted date-time indicating when the resource was
            created.
          readOnly: true
          example: '2018-02-02T22:25:27.521Z'
        updated_at:
          type: string
          description: >-
            ISO 8601 formatted date-time indicating when the resource was
            updated.
          readOnly: true
          example: '2018-02-02T22:25:27.521Z'
    Interface:
      type: object
      properties:
        network_id:
          description: The id of the network associated with the interface.
          type: string
          format: uuid
          example: 6a09cdc3-8948-47f0-aa62-74ac943d6c58
        name:
          type: string
          description: A user specified name for the interface.
          example: test interface
        status:
          $ref: '#/components/schemas/InterfaceStatus'
    RegionOut:
      type: object
      properties:
        region_code:
          description: The region interface is deployed to.
          type: string
          example: ashburn-va
        region:
          type: object
          properties:
            code:
              description: Region code of the interface.
              type: string
              example: ashburn-va
            name:
              description: Region name of the interface.
              type: string
              example: Ashburn
            record_type:
              type: string
              description: Identifies the type of the resource.
              readOnly: true
              example: region
    netapps_Error:
      required:
        - code
        - title
      properties:
        code:
          type: string
        title:
          type: string
        detail:
          type: string
        source:
          type: object
          properties:
            pointer:
              description: JSON pointer (RFC6901) to the offending entity.
              type: string
            parameter:
              description: Indicates which query parameter caused the error.
              type: string
        meta:
          type: object
          additionalProperties: true
      type: object
  responses:
    NetworkInterfaceListResponse:
      description: Successful response
      content:
        application/json:
          schema:
            type: object
            properties:
              data:
                type: array
                items:
                  $ref: '#/components/schemas/NetworkInterface'
              meta:
                $ref: '#/components/schemas/PaginationMeta'
    netapps_GenericErrorResponse:
      description: Unexpected error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/netapps_Errors'
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````